Bug 23316 - GetFine needs updating for bug 22521
Summary: GetFine needs updating for bug 22521
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 22521
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-15 14:04 UTC by Martin Renvoize
Modified: 2019-09-03 20:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23316: Follow-up for bug 22521 to fix GetFine (966 bytes, patch)
2019-07-15 14:07 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23316: Follow-up for bug 22521 to fix GetFine (1022 bytes, patch)
2019-07-25 21:44 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 23316: (follow-up) for bug 22521 to fix GetFine (1.05 KB, patch)
2019-07-26 11:33 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-07-15 14:04:59 UTC
It looks like a case was missed when we converted fine handling away from 'F' and 'FU' to using 'OVERDUE' and various status's.
Comment 1 Martin Renvoize 2019-07-15 14:07:58 UTC
Created attachment 91528 [details] [review]
Bug 23316: Follow-up for bug 22521 to fix GetFine

We changed the way we classify fines with bug 22521 but missed one
instance.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Chris Cormack 2019-07-25 21:44:34 UTC
Created attachment 91775 [details] [review]
Bug 23316: Follow-up for bug 22521 to fix GetFine

We changed the way we classify fines with bug 22521 but missed one
instance.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Nick Clemens 2019-07-26 11:33:43 UTC
Created attachment 91799 [details] [review]
Bug 23316: (follow-up) for bug 22521 to fix GetFine

We changed the way we classify fines with bug 22521 but missed one
instance.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2019-07-26 15:19:32 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-08-09 12:38:22 UTC
Pushed to 19.05.x for 19.05.03
Comment 6 Lucas Gass 2019-09-03 20:44:43 UTC
missing dependencies for 18.11.x, no backport